Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 989005365096670e54afec254875979f35bd395a)
+++ sasmodels/models/cylinder.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -130,52 +130,46 @@
 category = "shape:cylinder"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "sld", "1e-6/Ang^2", 4, [-inf,inf], "",
-      "Cylinder scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 1, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    [ "radius", "Ang",  20, [0, inf], "volume",
-      "Cylinder radius" ],
-    [ "length", "Ang",  400, [0, inf], "volume",
-      "Cylinder length" ],
-    [ "theta", "degrees", 60, [-inf, inf], "orientation",
-      "In plane angle" ],
-    [ "phi", "degrees", 60, [-inf, inf], "orientation",
-      "Out of plane angle" ],
-    ]
+#             [ "name", "units", default, [lower, upper], "type", "description"],
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+               "Cylinder scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Solvent scattering length density"],
+              ["radius", "Ang", 20, [0, inf], "volume",
+               "Cylinder radius"],
+              ["length", "Ang", 400, [0, inf], "volume",
+               "Cylinder length"],
+              ["theta", "degrees", 60, [-inf, inf], "orientation",
+               "In plane angle"],
+              ["phi", "degrees", 60, [-inf, inf], "orientation",
+               "Out of plane angle"],
+             ]
 
-source = [ "lib/J1.c", "lib/gauss76.c", "cylinder.c" ]
+source = ["lib/J1.c", "lib/gauss76.c", "cylinder.c"]
 
 def ER(radius, length):
-    ddd = 0.75*radius*(2*radius*length + (length+radius)*(length+pi*radius))
-    return 0.5 * (ddd)**(1./3.)
+    ddd = 0.75 * radius * (2 * radius * length + (length + radius) * (length + pi * radius))
+    return 0.5 * (ddd) ** (1. / 3.)
 
 # parameters for demo
-demo = dict(
-    scale=1, background=0,
-    sld=6, solvent_sld=1,
-    #radius=5, length=20,
-    radius=20, length=300,
-    theta=60, phi=60,
-    radius_pd=.2, radius_pd_n=9,
-    length_pd=.2,length_pd_n=10,
-    theta_pd=10, theta_pd_n=5,
-    phi_pd=10, phi_pd_n=5,
-    )
+demo = dict(scale=1, background=0,
+            sld=6, solvent_sld=1,
+            radius=20, length=300,
+            theta=60, phi=60,
+            radius_pd=.2, radius_pd_n=9,
+            length_pd=.2, length_pd_n=10,
+            theta_pd=10, theta_pd_n=5,
+            phi_pd=10, phi_pd_n=5)
 
 # For testing against the old sasview models, include the converted parameter
 # names and the target sasview model name.
-oldname='CylinderModel'
-oldpars=dict(theta='cyl_theta', phi='cyl_phi', sld='sldCyl', solvent_sld='sldSolv')
+oldname = 'CylinderModel'
+oldpars = dict(theta='cyl_theta', phi='cyl_phi', sld='sldCyl', solvent_sld='sldSolv')
 
 
-qx,qy = 0.2*np.cos(2.5), 0.2*np.sin(2.5)
-tests = [
-    [{},  0.2, 0.041761386790780453],
-    [{}, [0.2], [0.041761386790780453]],
-    [{'theta':10.0, 'phi':10.0}, (qx, qy), 0.03414647218513852],
-    [{'theta':10.0, 'phi':10.0}, [(qx, qy)], [0.03414647218513852]],
-    ]
-del qx,qy  # not necessary to delete, but cleaner
+qx, qy = 0.2 * np.cos(2.5), 0.2 * np.sin(2.5)
+tests = [[{}, 0.2, 0.041761386790780453],
+         [{}, [0.2], [0.041761386790780453]],
+         [{'theta':10.0, 'phi':10.0}, (qx, qy), 0.03414647218513852],
+         [{'theta':10.0, 'phi':10.0}, [(qx, qy)], [0.03414647218513852]],
+        ]
+del qx, qy  # not necessary to delete, but cleaner
Index: sasmodels/models/dab.py
===================================================================
--- sasmodels/models/dab.py	(revision a5d0d008778409dd90a86aa3db6037187ed3ff57)
+++ sasmodels/models/dab.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -46,8 +46,7 @@
 category = "shape-independent"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type", "description" ],
-    [ "length", "Ang", 50.0, [0, inf], "", "correlation length" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type", "description"],
+parameters = [["length", "Ang", 50.0, [0, inf], "", "correlation length"],
+             ]
 
 Iq = """
@@ -68,8 +67,5 @@
 # VR defaults to 1.0
 
-demo = dict(
-        scale=1, background=0,
-        length=50,
-        )
+demo = dict(scale=1, background=0, length=50)
 oldname = "DABModel"
 oldpars = dict(length='length')
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/ellipsoid.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -123,37 +123,35 @@
 description = """\
 P(q.alpha)= scale*f(q)^2 + background, where f(q)= 3*(sld
-		- solvent_sld)*V*[sin(q*r(Rp,Re,alpha))
-		-q*r*cos(qr(Rp,Re,alpha))]
-		/[qr(Rp,Re,alpha)]^3"
+        - solvent_sld)*V*[sin(q*r(Rp,Re,alpha))
+        -q*r*cos(qr(Rp,Re,alpha))]
+        /[qr(Rp,Re,alpha)]^3"
 
      r(Rp,Re,alpha)= [Re^(2)*(sin(alpha))^2
-		+ Rp^(2)*(cos(alpha))^2]^(1/2)
+        + Rp^(2)*(cos(alpha))^2]^(1/2)
 
-		sld: SLD of the ellipsoid
-		solvent_sld: SLD of the solvent
-		V: volume of the ellipsoid
-		Rp: polar radius of the ellipsoid
-		Re: equatorial radius of the ellipsoid
+        sld: SLD of the ellipsoid
+        solvent_sld: SLD of the solvent
+        V: volume of the ellipsoid
+        Rp: polar radius of the ellipsoid
+        Re: equatorial radius of the ellipsoid
 """
 category = "shape:ellipsoid"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "sld", "1e-6/Ang^2", 4, [-inf,inf], "",
-      "Ellipsoid scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 1, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    [ "rpolar", "Ang",  20, [0, inf], "volume",
-      "Polar radius" ],
-    [ "requatorial", "Ang",  400, [0, inf], "volume",
-      "Equatorial radius" ],
-    [ "theta", "degrees", 60, [-inf, inf], "orientation",
-      "In plane angle" ],
-    [ "phi", "degrees", 60, [-inf, inf], "orientation",
-      "Out of plane angle" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+               "Ellipsoid scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Solvent scattering length density"],
+              ["rpolar", "Ang", 20, [0, inf], "volume",
+               "Polar radius"],
+              ["requatorial", "Ang", 400, [0, inf], "volume",
+               "Equatorial radius"],
+              ["theta", "degrees", 60, [-inf, inf], "orientation",
+               "In plane angle"],
+              ["phi", "degrees", 60, [-inf, inf], "orientation",
+               "Out of plane angle"],
+             ]
 
-source = [ "lib/J1.c", "lib/gauss76.c", "ellipsoid.c"]
+source = ["lib/J1.c", "lib/gauss76.c", "ellipsoid.c"]
 
 def ER(rpolar, requatorial):
@@ -162,32 +160,30 @@
     ee = np.empty_like(rpolar)
     idx = rpolar > requatorial
-    ee[idx] = (rpolar[idx]**2 - requatorial[idx]**2)/rpolar[idx]**2
+    ee[idx] = (rpolar[idx] ** 2 - requatorial[idx] ** 2) / rpolar[idx] ** 2
     idx = rpolar < requatorial
-    ee[idx] = (requatorial[idx]**2 - rpolar[idx]**2)/requatorial[idx]**2
+    ee[idx] = (requatorial[idx] ** 2 - rpolar[idx] ** 2) / requatorial[idx] ** 2
     idx = rpolar == requatorial
-    ee[idx] = 2*rpolar[idx]
-    valid = (rpolar*requatorial != 0)
-    bd = 1.0-ee[valid]
+    ee[idx] = 2 * rpolar[idx]
+    valid = (rpolar * requatorial != 0)
+    bd = 1.0 - ee[valid]
     e1 = np.sqrt(ee[valid])
-    b1 = 1.0 + np.arcsin(e1)/(e1*np.sqrt(bd))
-    bL = (1.0+e1)/(1.0-e1)
-    b2 = 1.0 + bd/2/e1*np.log(bL)
-    delta = 0.75*b1*b2
+    b1 = 1.0 + np.arcsin(e1) / (e1 * np.sqrt(bd))
+    bL = (1.0 + e1) / (1.0 - e1)
+    b2 = 1.0 + bd / 2 / e1 * np.log(bL)
+    delta = 0.75 * b1 * b2
 
     ddd = np.zeros_like(rpolar)
-    ddd[valid] = 2.0*(delta+1.0)*rpolar*requatorial**2
-    return 0.5*ddd**(1.0/3.0)
+    ddd[valid] = 2.0 * (delta + 1.0) * rpolar * requatorial ** 2
+    return 0.5 * ddd ** (1.0 / 3.0)
 
 
-demo = dict(
-        scale=1, background=0,
-        sld=6, solvent_sld=1,
-        rpolar=50, requatorial=30,
-        theta=30, phi=15,
-        rpolar_pd=.2, rpolar_pd_n=15,
-        requatorial_pd=.2, requatorial_pd_n=15,
-        theta_pd=15, theta_pd_n=45,
-        phi_pd=15, phi_pd_n=1,
-        )
+demo = dict(scale=1, background=0,
+            sld=6, solvent_sld=1,
+            rpolar=50, requatorial=30,
+            theta=30, phi=15,
+            rpolar_pd=.2, rpolar_pd_n=15,
+            requatorial_pd=.2, requatorial_pd_n=15,
+            theta_pd=15, theta_pd_n=45,
+            phi_pd=15, phi_pd_n=1)
 oldname = 'EllipsoidModel'
 oldpars = dict(theta='axis_theta', phi='axis_phi',
Index: sasmodels/models/fcc.py
===================================================================
--- sasmodels/models/fcc.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/fcc.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -98,32 +98,30 @@
 category = "shape:paracrystal"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type","description" ],
-    [ "dnn", "Ang", 220, [-inf,inf],"","Nearest neighbour distance"],
-    [ "d_factor", "", 0.06,[-inf,inf],"","Paracrystal distortion factor" ],
-    [ "radius", "Ang",  40, [0, inf], "volume","Particle radius" ],
-    [ "sld", "1e-6/Ang^2", 4, [-inf,inf], "", "Particle scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 1, [-inf,inf], "","Solvent scattering length density" ],
-    [ "theta", "degrees", 60, [-inf, inf], "orientation","In plane angle" ],
-    [ "phi", "degrees", 60, [-inf, inf], "orientation","Out of plane angle" ],
-    [ "psi", "degrees", 60, [-inf,inf], "orientation","Out of plane angle"]
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["dnn", "Ang", 220, [-inf, inf], "", "Nearest neighbour distance"],
+              ["d_factor", "", 0.06, [-inf, inf], "", "Paracrystal distortion factor"],
+              ["radius", "Ang", 40, [0, inf], "volume", "Particle radius"],
+              ["sld", "1e-6/Ang^2", 4, [-inf, inf], "", "Particle scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "", "Solvent scattering length density"],
+              ["theta", "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
+              ["phi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
+              ["psi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"]
+             ]
 
-source = [ "lib/J1.c", "lib/gauss150.c", "fcc.c" ]
+source = ["lib/J1.c", "lib/gauss150.c", "fcc.c"]
 
 # parameters for demo
-demo = dict(
-    scale=1, background=0,
-    dnn=220, d_factor=0.06, sld=4, solvent_sld=1,
-    radius=40,
-    theta=60, phi=60, psi=60,
-    radius_pd=.2, radius_pd_n=0.2,
-    theta_pd=15, theta_pd_n=0,
-    phi_pd=15, phi_pd_n=0,
-    psi_pd=15, psi_pd_n=0,
-    )
+demo = dict(scale=1, background=0,
+            dnn=220, d_factor=0.06, sld=4, solvent_sld=1,
+            radius=40,
+            theta=60, phi=60, psi=60,
+            radius_pd=.2, radius_pd_n=0.2,
+            theta_pd=15, theta_pd_n=0,
+            phi_pd=15, phi_pd_n=0,
+            psi_pd=15, psi_pd_n=0,
+           )
 
 # For testing against the old sasview models, include the converted parameter
 # names and the target sasview model name.
-oldname='FCCrystalModel'
-oldpars=dict(sld='sldSph', solvent_sld='sldSolv')
+oldname = 'FCCrystalModel'
+oldpars = dict(sld='sldSph', solvent_sld='sldSolv')
Index: sasmodels/models/gaussian_peak.py
===================================================================
--- sasmodels/models/gaussian_peak.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/gaussian_peak.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -31,13 +31,9 @@
 category = "shape-independent"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "q0", "1/Ang", 0.05, [-inf,inf], "",
-      "Peak position" ],
-    [ "sigma", "1/Ang", 0.005, [-inf,inf], "",
-      "Peak width (standard deviation)" ],
-    ]
-
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["q0", "1/Ang", 0.05, [-inf, inf], "", "Peak position"],
+              ["sigma", "1/Ang", 0.005, [-inf, inf], "",
+               "Peak width (standard deviation)"],
+             ]
 
 # No volume normalization despite having a volume parameter
@@ -61,8 +57,5 @@
 # VR defaults to 1.0
 
-demo = dict(
-        scale=1, background=0,
-        q0 = 0.05, sigma = 0.005,
-        )
+demo = dict(scale=1, background=0, q0=0.05, sigma=0.005)
 oldname = "PeakGaussModel"
 oldpars = dict(sigma='B')
Index: sasmodels/models/hardsphere.py
===================================================================
--- sasmodels/models/hardsphere.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/hardsphere.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -37,23 +37,21 @@
 title = "Hard sphere structure factor, with Percus-Yevick closure"
 description = """\
-	[Hard sphere structure factor, with Percus-Yevick closure]
+    [Hard sphere structure factor, with Percus-Yevick closure]
         Interparticle S(Q) for random, non-interacting spheres.
-	May be a reasonable approximation for other shapes of
-	particles that freely rotate, and for moderately polydisperse
-        systems. Though strictly the maths needs to be modified - 
-	which sasview does not do yet.
-	effect_radius is the hard sphere radius
-	volfraction is the volume fraction occupied by the spheres.
+    May be a reasonable approximation for other shapes of
+    particles that freely rotate, and for moderately polydisperse
+        systems. Though strictly the maths needs to be modified -
+    which sasview does not do yet.
+    effect_radius is the hard sphere radius
+    volfraction is the volume fraction occupied by the spheres.
 """
 category = "structure-factor"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "effect_radius", "Ang",  50.0, [0, inf], "volume",
-      "effective radius of hard sphere" ],
-    [ "volfraction", "",  0.2, [0, 0.74], "",
-      "volume fraction of hard spheres" ],
-     ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["effect_radius", "Ang", 50.0, [0, inf], "volume",
+               "effective radius of hard sphere"],
+              ["volfraction", "", 0.2, [0, 0.74], "",
+               "volume fraction of hard spheres"],
+             ]
 
 # No volume normalization despite having a volume parameter
@@ -64,33 +62,33 @@
 
 Iq = """
-	double denom,dnum,alpha,beta,gamm,a,asq,ath,afor,rca,rsa;
-	double calp,cbeta,cgam,prefac,c,vstruc;
-	double struc;
-	
-	//  compute constants
-	denom = pow((1.0-volfraction),4);
-	dnum = pow((1.0 + 2.0*volfraction),2);
-	alpha = dnum/denom;
-	beta = -6.0*volfraction*pow((1.0 + volfraction/2.0),2)/denom;
-	gamm = 0.50*volfraction*dnum/denom;
-	//
-	//  calculate the structure factor
-	//     
-	a = 2.0*q*effect_radius;
-	asq = a*a;
-	ath = asq*a;
-	afor = ath*a;
-	SINCOS(a,rsa,rca);
-	//rca = cos(a);
-	//rsa = sin(a);
-	calp = alpha*(rsa/asq - rca/a);
-	cbeta = beta*(2.0*rsa/asq - (asq - 2.0)*rca/ath - 2.0/ath);
-	cgam = gamm*(-rca/a + (4.0/a)*((3.0*asq - 6.0)*rca/afor + (asq - 6.0)*rsa/ath + 6.0/afor));
-	prefac = -24.0*volfraction/a;
-	c = prefac*(calp + cbeta + cgam);
-	vstruc = 1.0/(1.0-c);
-	struc = vstruc;
-	
-	return(struc);
+    double denom,dnum,alpha,beta,gamm,a,asq,ath,afor,rca,rsa;
+    double calp,cbeta,cgam,prefac,c,vstruc;
+    double struc;
+
+    //  compute constants
+    denom = pow((1.0-volfraction),4);
+    dnum = pow((1.0 + 2.0*volfraction),2);
+    alpha = dnum/denom;
+    beta = -6.0*volfraction*pow((1.0 + volfraction/2.0),2)/denom;
+    gamm = 0.50*volfraction*dnum/denom;
+    //
+    //  calculate the structure factor
+    //
+    a = 2.0*q*effect_radius;
+    asq = a*a;
+    ath = asq*a;
+    afor = ath*a;
+    SINCOS(a,rsa,rca);
+    //rca = cos(a);
+    //rsa = sin(a);
+    calp = alpha*(rsa/asq - rca/a);
+    cbeta = beta*(2.0*rsa/asq - (asq - 2.0)*rca/ath - 2.0/ath);
+    cgam = gamm*(-rca/a + (4.0/a)*((3.0*asq - 6.0)*rca/afor + (asq - 6.0)*rsa/ath + 6.0/afor));
+    prefac = -24.0*volfraction/a;
+    c = prefac*(calp + cbeta + cgam);
+    vstruc = 1.0/(1.0-c);
+    struc = vstruc;
+
+    return(struc);
    """
 
@@ -103,5 +101,5 @@
 # VR defaults to 1.0
 
-demo = dict(effect_radius = 200,volfraction = 0.2,effect_radius_pd = 0.1,effect_radius_pd_n = 40)
+demo = dict(effect_radius=200, volfraction=0.2, effect_radius_pd=0.1, effect_radius_pd_n=40)
 oldname = 'HardsphereStructure'
 oldpars = dict()
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/lamellar.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -52,25 +52,22 @@
 title = "Lyotropic lamellar phase with uniform SLD and random distribution"
 description = """\
-	[Dilute Lamellar Form Factor](from a lyotropic lamellar phase)
-		I(q)= 2*pi*P(q)/(delta *q^(2)), where
-		P(q)=2*(contrast/q)^(2)*(1-cos(q*delta))^(2))
-		thickness = layer thickness
-		sld = layer scattering length density
-		sld_solvent = solvent scattering length density
-		background = incoherent background
-		scale = scale factor
+    [Dilute Lamellar Form Factor](from a lyotropic lamellar phase)
+        I(q)= 2*pi*P(q)/(delta *q^(2)), where
+        P(q)=2*(contrast/q)^(2)*(1-cos(q*delta))^(2))
+        thickness = layer thickness
+        sld = layer scattering length density
+        sld_solvent = solvent scattering length density
+        background = incoherent background
+        scale = scale factor
 """
 category = "shape:lamellae"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "sld", "1e-6/Ang^2", 1, [-inf,inf], "",
-      "Layer scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    [ "thickness", "Ang",  50, [0, inf], "volume",
-      "Bilayer thickness" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Layer scattering length density" ],
+              ["solvent_sld", "1e-6/Ang^2", 6, [-inf, inf], "",
+               "Solvent scattering length density" ],
+              ["thickness", "Ang", 50, [0, inf], "volume","Bilayer thickness" ],
+             ]
 
 
@@ -95,10 +92,8 @@
 # VR defaults to 1.0
 
-demo = dict(
-        scale=1, background=0,
-        sld=6, solvent_sld=1,
-        thickness=40,
-        thickness_pd= 0.2, thickness_pd_n=40,
-        )
+demo = dict(scale=1, background=0,
+            sld=6, solvent_sld=1,
+            thickness=40,
+            thickness_pd=0.2, thickness_pd_n=40)
 oldname = 'LamellarModel'
 oldpars = dict(sld='sld_bi', solvent_sld='sld_sol', thickness='bi_thick')
Index: sasmodels/models/lamellarCaille.py
===================================================================
--- sasmodels/models/lamellarCaille.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/lamellarCaille.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -85,22 +85,16 @@
 category = "shape:lamellae"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "thickness", "Ang",  30.0, [0, inf], "volume",
-      "sheet thickness" ],
-    [ "Nlayers", "",  20, [0, inf], "",
-      "Number of layers" ],
-    [ "spacing", "Ang", 400., [0.0,inf], "volume",
-      "d-spacing of Caille S(Q)" ],
-    [ "Caille_parameter", "1/Ang^2", 0.1, [0.0,0.8], "",
-      "Caille parameter" ],
-    [ "sld", "1e-6/Ang^2", 6.3, [-inf,inf], "",
-      "layer scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 1.0, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["thickness", "Ang",  30.0, [0, inf], "volume", "sheet thickness"],
+              ["Nlayers", "",  20, [0, inf], "", "Number of layers"],
+              ["spacing", "Ang", 400., [0.0,inf], "volume", "d-spacing of Caille S(Q)"],
+              ["Caille_parameter", "1/Ang^2", 0.1, [0.0,0.8], "", "Caille parameter"],
+              ["sld", "1e-6/Ang^2", 6.3, [-inf,inf], "",
+               "layer scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1.0, [-inf,inf], "",
+               "Solvent scattering length density"],
+             ]
 
-source = [ "lamellarCaille_kernel.c"]
+source = ["lamellarCaille_kernel.c"]
 
 # No volume normalization despite having a volume parameter
@@ -117,12 +111,11 @@
 # VR defaults to 1.0
 
-demo = dict(
-        scale=1, background=0,
-		thickness=67.,Nlayers=3.75,spacing=200.,
-        Caille_parameter=0.268,sld=1.0, solvent_sld=6.34,
-		thickness_pd= 0.1, thickness_pd_n=100,
- 		spacing_pd= 0.05, spacing_pd_n=40
-         )
+demo = dict(scale=1, background=0,
+            thickness=67.,Nlayers=3.75,spacing=200.,
+            Caille_parameter=0.268,sld=1.0, solvent_sld=6.34,
+            thickness_pd= 0.1, thickness_pd_n=100,
+            spacing_pd= 0.05, spacing_pd_n=40)
 
 oldname = 'LamellarPSModel'
-oldpars = dict(thickness='delta',Nlayers='N_plates',Caille_parameter='caille', sld='sld_bi',solvent_sld='sld_sol')
+oldpars = dict(thickness='delta', Nlayers='N_plates', Caille_parameter='caille',
+               sld='sld_bi',solvent_sld='sld_sol')
Index: sasmodels/models/lamellarCailleHG.py
===================================================================
--- sasmodels/models/lamellarCailleHG.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/lamellarCailleHG.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -79,35 +79,35 @@
 title = "Random lamellar sheet with Caille structure factor"
 description = """\
-	[Random lamellar phase with Caille  structure factor]
+    [Random lamellar phase with Caille  structure factor]
         randomly oriented stacks of infinite sheets
-		with Caille S(Q), having polydisperse spacing.
-		layer thickness =(H+T+T+H) = 2(Head+Tail)
-		sld = Tail scattering length density
-		sld_head = Head scattering length density
-		sld_solvent = solvent scattering length density
-		background = incoherent background
-		scale = scale factor
+        with Caille S(Q), having polydisperse spacing.
+        layer thickness =(H+T+T+H) = 2(Head+Tail)
+        sld = Tail scattering length density
+        sld_head = Head scattering length density
+        sld_solvent = solvent scattering length density
+        background = incoherent background
+        scale = scale factor
 """
 category = "shape:lamellae"
 
 parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "tail_length", "Ang",  10, [0, inf], "volume",
-      "Tail thickness" ],
-    [ "head_length", "Ang",  2, [0, inf], "volume",
-      "head thickness" ],
-    [ "Nlayers", "",  30, [0, inf], "",
-      "Number of layers" ],
-    [ "spacing", "Ang", 40., [0.0,inf], "volume",
-      "d-spacing of Caille S(Q)" ],
-    [ "Caille_parameter", "", 0.001, [0.0,0.8], "",
-      "Caille parameter" ],
-    [ "sld", "1e-6/Ang^2", 0.4, [-inf,inf], "",
-      "Tail scattering length density" ],
-    [ "head_sld", "1e-6/Ang^2", 2.0, [-inf,inf], "",
-      "Head scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
-      "Solvent scattering length density" ],
+              #   [ "name", "units", default, [lower, upper], "type",
+              #     "description" ],
+              [ "tail_length", "Ang",  10, [0, inf], "volume",
+                "Tail thickness" ],
+              [ "head_length", "Ang",  2, [0, inf], "volume",
+                "head thickness" ],
+              [ "Nlayers", "",  30, [0, inf], "",
+                "Number of layers" ],
+              [ "spacing", "Ang", 40., [0.0,inf], "volume",
+                "d-spacing of Caille S(Q)" ],
+              [ "Caille_parameter", "", 0.001, [0.0,0.8], "",
+                "Caille parameter" ],
+              [ "sld", "1e-6/Ang^2", 0.4, [-inf,inf], "",
+                "Tail scattering length density" ],
+              [ "head_sld", "1e-6/Ang^2", 2.0, [-inf,inf], "",
+                "Head scattering length density" ],
+              [ "solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
+                "Solvent scattering length density" ],
     ]
 
@@ -128,14 +128,14 @@
 
 demo = dict(
-        scale=1, background=0,
-        Nlayers=20,
-        spacing=200., Caille_parameter=0.05,
-        tail_length=15,head_length=10,
-        #sld=-1, head_sld=4.0, solvent_sld=6.0,
-        sld=-1, head_sld=4.1, solvent_sld=6.0,
-        tail_length_pd= 0.1, tail_length_pd_n=20,
-        head_length_pd= 0.05, head_length_pd_n=30,
-        spacing_pd= 0.2, spacing_pd_n=40
-   )
+            scale=1, background=0,
+            Nlayers=20,
+            spacing=200., Caille_parameter=0.05,
+            tail_length=15,head_length=10,
+            #sld=-1, head_sld=4.0, solvent_sld=6.0,
+            sld=-1, head_sld=4.1, solvent_sld=6.0,
+            tail_length_pd= 0.1, tail_length_pd_n=20,
+            head_length_pd= 0.05, head_length_pd_n=30,
+            spacing_pd= 0.2, spacing_pd_n=40
+           )
 
 oldname = 'LamellarPSHGModel'
Index: sasmodels/models/lamellarFFHG.py
===================================================================
--- sasmodels/models/lamellarFFHG.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/lamellarFFHG.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -53,30 +53,28 @@
 title = "Random lamellar phase with Head Groups "
 description = """\
-	[Random lamellar phase with Head Groups]
-		I(q)= 2*pi*P(q)/(2(H+T)*q^(2)), where
-		P(q)= see manual
-		layer thickness =(H+T+T+H) = 2(Head+Tail)
-		sld = Tail scattering length density
-		sld_head = Head scattering length density
-		sld_solvent = solvent scattering length density
-		background = incoherent background
-		scale = scale factor
+    [Random lamellar phase with Head Groups]
+        I(q)= 2*pi*P(q)/(2(H+T)*q^(2)), where
+        P(q)= see manual
+        layer thickness =(H+T+T+H) = 2(Head+Tail)
+        sld = Tail scattering length density
+        sld_head = Head scattering length density
+        sld_solvent = solvent scattering length density
+        background = incoherent background
+        scale = scale factor
 """
 category = "shape:lamellae"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "tail_length", "Ang",  15, [0, inf], "volume",
-      "Tail thickness" ],
-    [ "head_length", "Ang",  10, [0, inf], "volume",
-      "head thickness" ],
-    [ "sld", "1e-6/Ang^2", 0.4, [-inf,inf], "",
-      "Tail scattering length density" ],
-    [ "head_sld", "1e-6/Ang^2", 3.0, [-inf,inf], "",
-      "Head scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["tail_length", "Ang",  15, [0, inf], "volume",
+               "Tail thickness"],
+              ["head_length", "Ang",  10, [0, inf], "volume",
+               "head thickness"],
+              ["sld", "1e-6/Ang^2", 0.4, [-inf,inf], "",
+               "Tail scattering length density"],
+              ["head_sld", "1e-6/Ang^2", 3.0, [-inf,inf], "",
+               "Head scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
+               "Solvent scattering length density"],
+             ]
 
 # No volume normalization despite having a volume parameter
@@ -111,11 +109,9 @@
 # VR defaults to 1.0
 
-demo = dict(
-    scale=1, background=0,
-    tail_length=15,head_length=10,
-    sld=0.4, head_sld=3.0, solvent_sld=6.0,
-    tail_length_pd= 0.2, tail_length_pd_n=40,
-    head_length_pd= 0.01, head_length_pd_n=40,
-    )
+demo = dict(scale=1, background=0,
+            tail_length=15,head_length=10,
+            sld=0.4, head_sld=3.0, solvent_sld=6.0,
+            tail_length_pd= 0.2, tail_length_pd_n=40,
+            head_length_pd= 0.01, head_length_pd_n=40)
 
 oldname = 'LamellarFFHGModel'
Index: sasmodels/models/lamellarPC.py
===================================================================
--- sasmodels/models/lamellarPC.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/lamellarPC.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -72,33 +72,31 @@
 title = "Random lamellar sheet with paracrystal structure factor"
 description = """\
-	[Random lamellar phase with paracrystal structure factor]
+    [Random lamellar phase with paracrystal structure factor]
         randomly oriented stacks of infinite sheets
-		with paracrytal S(Q), having polydisperse spacing.
-    	sld = sheet scattering length density
-		sld_solvent = solvent scattering length density
-		background = incoherent background
-		scale = scale factor
+        with paracrytal S(Q), having polydisperse spacing.
+        sld = sheet scattering length density
+        sld_solvent = solvent scattering length density
+        background = incoherent background
+        scale = scale factor
 """
 category = "shape:lamellae"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "thickness", "Ang",  33.0, [0, inf], "volume",
-      "sheet thickness" ],
-    [ "Nlayers", "",  20, [0, inf], "",
-      "Number of layers" ],
-    [ "spacing", "Ang", 250., [0.0,inf], "",
-      "d-spacing of paracrystal stack" ],
-    [ "spacing_polydisp", "Ang", 0.0, [0.0,inf], "",
-      "d-spacing of paracrystal stack" ],
-    [ "sld", "1e-6/Ang^2", 1.0, [-inf,inf], "",
-      "layer scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 6.34, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["thickness", "Ang", 33.0, [0, inf], "volume",
+               "sheet thickness"],
+              ["Nlayers", "", 20, [0, inf], "",
+               "Number of layers"],
+              ["spacing", "Ang", 250., [0.0, inf], "",
+               "d-spacing of paracrystal stack"],
+              ["spacing_polydisp", "Ang", 0.0, [0.0, inf], "",
+               "d-spacing of paracrystal stack"],
+              ["sld", "1e-6/Ang^2", 1.0, [-inf, inf], "",
+               "layer scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 6.34, [-inf, inf], "",
+               "Solvent scattering length density"],
+             ]
 
 
-source = [ "lamellarPC_kernel.c"]
+source = ["lamellarPC_kernel.c"]
 
 form_volume = """
@@ -113,16 +111,10 @@
 # VR defaults to 1.0
 
-demo = dict(
-    scale=1, background=0,
-    thickness=33, Nlayers=20, spacing=250, spacing_polydisp=0.2,
-    sld=1.0, solvent_sld=6.34,
-    thickness_pd= 0.2, thickness_pd_n=40
-    )
+demo = dict(scale=1, background=0,
+            thickness=33, Nlayers=20, spacing=250, spacing_polydisp=0.2,
+            sld=1.0, solvent_sld=6.34,
+            thickness_pd=0.2, thickness_pd_n=40)
 
 oldname = 'LamellarPCrystalModel'
-oldpars = dict(
-    spacing_polydisp='pd_spacing', sld='sld_layer',
-    solvent_sld='sld_solvent'
-    )
-
-
+oldpars = dict(spacing_polydisp='pd_spacing', sld='sld_layer',
+               solvent_sld='sld_solvent')
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 989005365096670e54afec254875979f35bd395a)
+++ sasmodels/models/parallelepiped.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -116,24 +116,22 @@
 category = "shape:parallelpiped"
 
-parameters = [
-    #   [ "name", "units", default, [lower, upper], "type",
-    #     "description" ],
-    ["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
-     "Parallelepiped scattering length density"],
-    ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
-     "Solvent scattering length density"],
-    ["a_side", "Ang", 35, [0, inf], "volume",
-     "Shorter side of the parallelepiped"],
-    ["b_side", "Ang", 75, [0, inf], "volume",
-     "Second side of the parallelepiped"],
-    ["c_side", "Ang", 400, [0, inf], "volume",
-     "Larger side of the parallelepiped"],
-    ["theta", "degrees", 60, [-inf, inf], "orientation",
-     "In plane angle"],
-    ["phi", "degrees", 60, [-inf, inf], "orientation",
-     "Out of plane angle"],
-    ["psi", "degrees", 60, [-inf, inf], "orientation",
-     "Rotation angle around its own c axis against q plane"],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+               "Parallelepiped scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Solvent scattering length density"],
+              ["a_side", "Ang", 35, [0, inf], "volume",
+               "Shorter side of the parallelepiped"],
+              ["b_side", "Ang", 75, [0, inf], "volume",
+               "Second side of the parallelepiped"],
+              ["c_side", "Ang", 400, [0, inf], "volume",
+               "Larger side of the parallelepiped"],
+              ["theta", "degrees", 60, [-inf, inf], "orientation",
+               "In plane angle"],
+              ["phi", "degrees", 60, [-inf, inf], "orientation",
+               "Out of plane angle"],
+              ["psi", "degrees", 60, [-inf, inf], "orientation",
+               "Rotation angle around its own c axis against q plane"],
+             ]
 
 source = ["lib/J1.c", "lib/gauss76.c", "parallelepiped.c"]
@@ -154,16 +152,14 @@
 
 # parameters for demo
-demo = dict(
-    scale=1, background=0,
-    sld=6.3e-6, solvent_sld=1.0e-6,
-    a_side=35, b_side=75, c_side=400,
-    theta=45, phi=30, psi=15,
-    a_side_pd=0.1, a_side_pd_n=10,
-    b_side_pd=0.1, b_side_pd_n=1,
-    c_side_pd=0.1, c_side_pd_n=10,
-    theta_pd=10, theta_pd_n=1,
-    phi_pd=10, phi_pd_n=1,
-    psi_pd=10, psi_pd_n=10,
-    )
+demo = dict(scale=1, background=0,
+            sld=6.3e-6, solvent_sld=1.0e-6,
+            a_side=35, b_side=75, c_side=400,
+            theta=45, phi=30, psi=15,
+            a_side_pd=0.1, a_side_pd_n=10,
+            b_side_pd=0.1, b_side_pd_n=1,
+            c_side_pd=0.1, c_side_pd_n=10,
+            theta_pd=10, theta_pd_n=1,
+            phi_pd=10, phi_pd_n=1,
+            psi_pd=10, psi_pd_n=10)
 
 # For testing against the old sasview models, include the converted parameter
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/sphere.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -72,14 +72,12 @@
 category = "shape:sphere"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "sld", "1e-6/Ang^2", 1, [-inf,inf], "",
-      "Layer scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    [ "radius", "Ang",  50, [0, inf], "volume",
-      "Sphere radius" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Layer scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 6, [-inf, inf], "",
+               "Solvent scattering length density"],
+              ["radius", "Ang", 50, [0, inf], "volume",
+               "Sphere radius"],
+             ]
 
 
@@ -111,10 +109,8 @@
 # VR defaults to 1.0
 
-demo = dict(
-        scale=1, background=0,
-        sld=6, solvent_sld=1,
-        radius=120,
-        radius_pd=.2, radius_pd_n=45,
-        )
+demo = dict(scale=1, background=0,
+            sld=6, solvent_sld=1,
+            radius=120,
+            radius_pd=.2, radius_pd_n=45)
 oldname = "SphereModel"
 oldpars = dict(sld='sldSph', solvent_sld='sldSolv', radius='radius')
Index: sasmodels/models/spherepy.py
===================================================================
--- sasmodels/models/spherepy.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/spherepy.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -73,36 +73,34 @@
 category = "shape:sphere"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "sld", "1e-6/Ang^2", 1, [-inf,inf], "",
-      "Layer scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 6, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    [ "radius", "Ang",  50, [0, inf], "volume",
-      "Sphere radius" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Layer scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 6, [-inf, inf], "",
+               "Solvent scattering length density"],
+              ["radius", "Ang", 50, [0, inf], "volume",
+               "Sphere radius"],
+             ]
 
 
 def form_volume(radius):
-    return 1.333333333333333*pi*radius**3
+    return 1.333333333333333 * pi * radius ** 3
 
 def Iq(q, sld, solvent_sld, radius):
     #print "q",q
     #print "sld,r",sld,solvent_sld,radius
-    qr = q*radius
+    qr = q * radius
     sn, cn = sin(qr), cos(qr)
     # FOR VECTORIZED VERSION, UNCOMMENT THE NEXT TWO LINES
-    bes = 3 * (sn-qr*cn)/qr**3 # may be 0/0 but we fix that next line
-    bes[qr==0] = 1
+    bes = 3 * (sn - qr * cn) / qr ** 3 # may be 0/0 but we fix that next line
+    bes[qr == 0] = 1
     # FOR NON VECTORIZED VERSION, UNCOMMENT THE NEXT LINE
     #bes = 3 * (sn-qr*cn)/qr**3 if qr>0 else 1
     fq = bes * (sld - solvent_sld) * form_volume(radius)
-    return 1.0e-4*fq**2
+    return 1.0e-4 * fq ** 2
 # FOR VECTORIZED VERSION, UNCOMMENT THE NEXT LINE
 Iq.vectorized = True
 
 def Iqxy(qx, qy, sld, solvent_sld, radius):
-    return Iq(sqrt(qx**2 + qy**2), sld, solvent_sld, radius)
+    return Iq(sqrt(qx ** 2 + qy ** 2), sld, solvent_sld, radius)
 Iqxy.vectorized = True
 
@@ -113,11 +111,11 @@
     Wim Bouwman after formulae Timofei Kruglov J.Appl.Cryst. 2003 article
     """
-    d = z/radius
+    d = z / radius
     g = np.zeros_like(z)
-    g[d==0] = 1.
+    g[d == 0] = 1.
     low = ((d > 0) & (d < 2))
     dlow = d[low]
-    dlow2 = dlow**2
-    g[low] = sqrt(1-dlow2/4.)*(1+dlow2/8.) + dlow2/2.*(1-dlow2/16.)*log(dlow/(2.+sqrt(4.-dlow2)))
+    dlow2 = dlow ** 2
+    g[low] = sqrt(1 - dlow2 / 4.) * (1 + dlow2 / 8.) + dlow2 / 2.*(1 - dlow2 / 16.) * log(dlow / (2. + sqrt(4. - dlow2)))
     return g
 sesans.vectorized = True
@@ -128,10 +126,8 @@
 # VR defaults to 1.0
 
-demo = dict(
-    scale=1, background=0,
-    sld=6, solvent_sld=1,
-    radius=120,
-    radius_pd=.2, radius_pd_n=45,
-    )
+demo = dict(scale=1, background=0,
+            sld=6, solvent_sld=1,
+            radius=120,
+            radius_pd=.2, radius_pd_n=45)
 oldname = "SphereModel"
 oldpars = dict(sld='sldSph', solvent_sld='sldSolv', radius='radius')
Index: sasmodels/models/stickyhardsphere.py
===================================================================
--- sasmodels/models/stickyhardsphere.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/stickyhardsphere.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -76,13 +76,14 @@
 title = "Sticky hard sphere structure factor, with Percus-Yevick closure"
 description = """\
-	[Sticky hard sphere structure factor, with Percus-Yevick closure]
+    [Sticky hard sphere structure factor, with Percus-Yevick closure]
         Interparticle structure factor S(Q)for a hard sphere fluid with
-		a narrow attractive well. Fits are prone to deliver non-physical
-		parameters, use with care and read the references in the full manual.
-		In sasview the effective radius will be calculated from the
-		parameters used in P(Q).
+        a narrow attractive well. Fits are prone to deliver non-physical
+        parameters, use with care and read the references in the full manual.
+        In sasview the effective radius will be calculated from the
+        parameters used in P(Q).
 """
 category = "structure-factor"
 
+#             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [
     #   [ "name", "units", default, [lower, upper], "type",
@@ -126,5 +127,5 @@
     if(radic<0) {
         //if(x>0.01 && x<0.015)
-        //	Print "Lambda unphysical - both roots imaginary"
+        //    Print "Lambda unphysical - both roots imaginary"
         //endif
         return(-1.0);
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 3c56da87f0995bdde77f4183b68e77b81584dde0)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision 3e428ec139734cd9698fc2d854c41eb3498c4c47)
@@ -102,47 +102,43 @@
 category = "shape:ellipsoid"
 
-parameters = [
-#   [ "name", "units", default, [lower, upper], "type",
-#     "description" ],
-    [ "sld", "1e-6/Ang^2", 4, [-inf,inf], "",
-      "Ellipsoid scattering length density" ],
-    [ "solvent_sld", "1e-6/Ang^2", 1, [-inf,inf], "",
-      "Solvent scattering length density" ],
-    [ "req_minor", "Ang",  20, [0, inf], "volume",
-      "Minor equitorial radius" ],
-    [ "req_major", "Ang",  400, [0, inf], "volume",
-      "Major equatorial radius" ],
-    [ "rpolar", "Ang",  10, [0, inf], "volume",
-      "Polar radius" ],
-    [ "theta", "degrees", 60, [-inf, inf], "orientation",
-      "In plane angle" ],
-    [ "phi", "degrees", 60, [-inf, inf], "orientation",
-      "Out of plane angle" ],
-    [ "psi", "degrees", 60, [-inf, inf], "orientation",
-      "Out of plane angle" ],
-    ]
+#             ["name", "units", default, [lower, upper], "type","description"],
+parameters = [["sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+               "Ellipsoid scattering length density"],
+              ["solvent_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+               "Solvent scattering length density"],
+              ["req_minor", "Ang", 20, [0, inf], "volume",
+               "Minor equitorial radius"],
+              ["req_major", "Ang", 400, [0, inf], "volume",
+               "Major equatorial radius"],
+              ["rpolar", "Ang", 10, [0, inf], "volume",
+               "Polar radius"],
+              ["theta", "degrees", 60, [-inf, inf], "orientation",
+               "In plane angle"],
+              ["phi", "degrees", 60, [-inf, inf], "orientation",
+               "Out of plane angle"],
+              ["psi", "degrees", 60, [-inf, inf], "orientation",
+               "Out of plane angle"],
+             ]
 
-source = [ "lib/J1.c", "lib/gauss76.c", "triaxial_ellipsoid.c"]
+source = ["lib/J1.c", "lib/gauss76.c", "triaxial_ellipsoid.c"]
 
 def ER(req_minor, req_major, rpolar):
     import numpy as np
     from .ellipsoid import ER as ellipsoid_ER
-    return ellipsoid_ER(rpolar, np.sqrt(req_minor*req_major))
+    return ellipsoid_ER(rpolar, np.sqrt(req_minor * req_major))
 
-demo = dict(
-        scale=1, background=0,
-        sld=6, solvent_sld=1,
-        theta=30, phi=15, psi=5,
-        req_minor=25, req_major=36, rpolar=50,
-        req_minor_pd=0, req_minor_pd_n=1,
-        req_major_pd=0, req_major_pd_n=1,
-        rpolar_pd=.2, rpolar_pd_n=30,
-        theta_pd=15, theta_pd_n=45,
-        phi_pd=15, phi_pd_n=1,
-        psi_pd=15, psi_pd_n=1,
-        )
+demo = dict(scale=1, background=0,
+            sld=6, solvent_sld=1,
+            theta=30, phi=15, psi=5,
+            req_minor=25, req_major=36, rpolar=50,
+            req_minor_pd=0, req_minor_pd_n=1,
+            req_major_pd=0, req_major_pd_n=1,
+            rpolar_pd=.2, rpolar_pd_n=30,
+            theta_pd=15, theta_pd_n=45,
+            phi_pd=15, phi_pd_n=1,
+            psi_pd=15, psi_pd_n=1)
 oldname = 'TriaxialEllipsoidModel'
 oldpars = dict(theta='axis_theta', phi='axis_phi', psi='axis_psi',
-               sld='sldEll',  solvent_sld='sldSolv',
+               sld='sldEll', solvent_sld='sldSolv',
                req_minor='semi_axisA', req_major='semi_axisB',
                rpolar='semi_axisC')
